<template>
	<swiper
		v-if="cmpUsps.length"
		class="preheader-swiper pb-0"
		:options="swiperOptions"
	>
		<swiper-slide
			v-for="(usp, index) in cmpUsps"
			:key="index"
			class="usp"
			:id="`top-usp-${index}`"
		>
			<span v-html="usp.shortText" class="mr-1"></span>
			<b-tooltip :show.sync="usp.tooltip" :target="`top-usp-${index}`">
				<span v-html="usp.text" class="lato"></span>
			</b-tooltip>
		</swiper-slide>
	</swiper>
</template>
<script>
	module.exports = {
		name: "PreheaderUsps",
		data() {
			return {
				cmpUsps: [],
				swiperOptions: {
					autoHeight: true,
					direction: "horizontal",
					slidesPerView: "auto",
					spaceBetween: 8,
					breakpoints: {
						1024: {
							autoplay: { delay: 500 },
							loop: true,
							spaceBetween: 15,
						},
						576: {
							autoplay: { delay: 500 },
							loop: true,
							spaceBetween: 300,
						},
					},
				},
			};
		},
		props: ["usps"],
		mounted() {
			this.cmpUsps = this.usps.map(usp => ({ ...usp, tooltip: false }));
			this.cmpUsps = this.cmpUsps.slice(0, 5);
		},
	};
</script>

<style>
	#preheader-usps {
		overflow: hidden;
	}
	#preheader .preheader-swiper {
		height: 40px;
	}

	#preheader .swiper-container {
		width: auto !important;
	}

	#preheader .usp-divider {
		margin-left: 8px;
	}

	#preheader-usps .usp a {
		color: #ffffff;
		font-family: "Lato", Arial, sans-serif;
		display: flex;
	}
	#preheader-usps .usp a:hover {
		text-decoration: underline;
	}

	.lato a {
		font-family: "Lato", Arial, sans-serif;
	}

	.usp-stars {
		padding-left: 5px;
		height: auto !important;
		align-items: center;
		display: flex !important;
	}
	.usp-stars svg {
		width: 12px !important;
		height: 12px !important;
		margin-right: 2px !important;
		color: #fbb925 !important;
	}
</style>
